# ../scripts/custom/gg_join_message/gg_join_message_config.py

# =============================================================================
# >> IMPORTS
# =============================================================================
# Python Imports
from __future__ import with_statement
from path import path

# GunGame Imports
from gungame51.core.cfg.configs import ConfigContextManager


# =============================================================================
# >> LOAD & UNLOAD
# =============================================================================
def load():

    # Create the cfg file
    with ConfigContextManager(
      path(__file__).parent.split('scripts')[~0][1:]) as config:

        # Create the gg_join_message instance
        with config.cfg_cvar('gg_join_message') as cvar:

            cvar.name = 'JOIN MESSAGE'
            cvar.description.append(
                'Message players when a new player comes on the server.')
            cvar.options.append(
                '0 = (Disabled) Do not load gg_join_message.')
            cvar.options.append('1 = (Enabled) Load gg_join_message.')
            cvar.default = 0
            cvar.text = 'Enables/Disables gg_join_message.'
